Page MenuHomeFreeBSD

Upgrade the CloudABI toolchain and utilities.
ClosedPublic

Authored by ed on Aug 7 2015, 2:49 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, May 19, 5:57 PM
Unknown Object (File)
Sun, May 19, 4:55 PM
Unknown Object (File)
Mon, Apr 29, 8:28 AM
Unknown Object (File)
Wed, Apr 24, 5:14 PM
Unknown Object (File)
Apr 24 2024, 6:10 AM
Unknown Object (File)
Apr 23 2024, 11:56 PM
Unknown Object (File)
Apr 23 2024, 11:56 PM
Unknown Object (File)
Apr 23 2024, 11:56 PM
Subscribers
None

Details

Summary

A new version of cloudlibc and cloudabi-utils has been released, to
catch up with ABI changes (due to the import into FreeBSD HEAD). Bump
these ports up to v0.4.

While there, upgrade the LLVM packages. It looks like the LLVM project
is finally releasing tarballs itself, meaning we can use those instead
of requiring me to host them myself. Update the ports to use a common
Makefile (cloudabi-libc++/Makefile.common) to set the PORTVERSION,
MASTER_SITES, etc.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

ed retitled this revision from to Upgrade the CloudABI toolchain and utilities..
ed updated this object.
ed added reviewers: antoine, bapt.
bapt edited edge metadata.
This revision is now accepted and ready to land.Aug 9 2015, 11:35 AM
This revision was automatically updated to reflect the committed changes.